Package fr.gouv.vitam.worker.core.plugin.preservation.model

# Class WorkflowBatchResult.OutputExtra

java.lang.Object
fr.gouv.vitam.worker.core.plugin.preservation.model.WorkflowBatchResult.OutputExtra

Enclosing class:
  `WorkflowBatchResult`

public static class WorkflowBatchResult.OutputExtra extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputExtra(OutputPreservation output, String binaryGUID, Optional<Long> size, Optional<String> binaryHash, Optional<FormatIdentifierResponse> binaryFormat, Optional<StoredInfoResult> storedInfo, Optional<ExtractedMetadata> extractedMetadataGOT, Optional<ExtractedMetadataForAu> extractedMetadataAU, Optional<String> error)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<FormatIdentifierResponse>`
  `getBinaryFormat()`
  `String`
  `getBinaryGUID()`
  `Optional<String>`
  `getBinaryHash()`
  `Optional<String>`
  `getError()`
  `Optional<ExtractedMetadataForAu>`
  `getExtractedMetadataAU()`
  `Optional<ExtractedMetadata>`
  `getExtractedMetadataGOT()`
  `OutputPreservation`
  `getOutput()`
  `Optional<Long>`
  `getSize()`
  `Optional<StoredInfoResult>`
  `getStoredInfo()`
  `static WorkflowBatchResult.OutputExtra`
  `inError(String errorMessage)`
  `boolean`
  `isInError()`
  `boolean`
  `isOkAndExtractedAu()`
  `boolean`
  `isOkAndExtractedGot()`
  `boolean`
  `isOkAndGenerated()`
  `boolean`
  `isOkAndIdentify()`
  `static WorkflowBatchResult.OutputExtra`
  `of(OutputPreservation output)`
  `static WorkflowBatchResult.OutputExtra`
  `withBinaryFormat(WorkflowBatchResult.OutputExtra outputExtra, FormatIdentifierResponse binaryFormat)`
  `static WorkflowBatchResult.OutputExtra`
  `withBinaryHashAndSize(WorkflowBatchResult.OutputExtra outputExtra, String binaryHash, long size)`
  `static WorkflowBatchResult.OutputExtra`
  `withExtractedMetadataForAu(WorkflowBatchResult.OutputExtra outputExtra, ExtractedMetadataForAu extractedMetadataAU)`
  `static WorkflowBatchResult.OutputExtra`
  `withExtractedMetadataForGot(WorkflowBatchResult.OutputExtra outputExtra, ExtractedMetadata extractedMetadataGOT)`
  `static WorkflowBatchResult.OutputExtra`
  `withStoredInfo(WorkflowBatchResult.OutputExtra outputExtra, StoredInfoResult storedInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutputExtra

    public OutputExtra(OutputPreservation output, String binaryGUID, Optional<Long> size, Optional<String> binaryHash, Optional<FormatIdentifierResponse> binaryFormat, Optional<StoredInfoResult> storedInfo, Optional<ExtractedMetadata> extractedMetadataGOT, Optional<ExtractedMetadataForAu> extractedMetadataAU, Optional<String> error)

- ## Method Details

  - ### of

    public static WorkflowBatchResult.OutputExtra of(OutputPreservation output)

  - ### withBinaryHashAndSize

    public static WorkflowBatchResult.OutputExtra withBinaryHashAndSize(WorkflowBatchResult.OutputExtra outputExtra, String binaryHash, long size)

  - ### withBinaryFormat

    public static WorkflowBatchResult.OutputExtra withBinaryFormat(WorkflowBatchResult.OutputExtra outputExtra, FormatIdentifierResponse binaryFormat)

  - ### withStoredInfo

    public static WorkflowBatchResult.OutputExtra withStoredInfo(WorkflowBatchResult.OutputExtra outputExtra, StoredInfoResult storedInfo)

  - ### withExtractedMetadataForGot

    public static WorkflowBatchResult.OutputExtra withExtractedMetadataForGot(WorkflowBatchResult.OutputExtra outputExtra, ExtractedMetadata extractedMetadataGOT)

  - ### withExtractedMetadataForAu

    public static WorkflowBatchResult.OutputExtra withExtractedMetadataForAu(WorkflowBatchResult.OutputExtra outputExtra, ExtractedMetadataForAu extractedMetadataAU)

  - ### inError

    public static WorkflowBatchResult.OutputExtra inError(String errorMessage)

  - ### getOutput

    public OutputPreservation getOutput()

  - ### getBinaryGUID

    public String getBinaryGUID()

  - ### getSize

    public Optional<Long> getSize()

  - ### getBinaryHash

    public Optional<String> getBinaryHash()

  - ### getBinaryFormat

    public Optional<FormatIdentifierResponse> getBinaryFormat()

  - ### getStoredInfo

    public Optional<StoredInfoResult> getStoredInfo()

  - ### getError

    public Optional<String> getError()

  - ### getExtractedMetadataGOT

    public Optional<ExtractedMetadata> getExtractedMetadataGOT()

  - ### getExtractedMetadataAU

    public Optional<ExtractedMetadataForAu> getExtractedMetadataAU()

  - ### isOkAndGenerated

    public boolean isOkAndGenerated()

  - ### isInError

    public boolean isInError()

  - ### isOkAndIdentify

    public boolean isOkAndIdentify()

  - ### isOkAndExtractedGot

    public boolean isOkAndExtractedGot()

  - ### isOkAndExtractedAu

    public boolean isOkAndExtractedAu()